import * as O from 'fp-ts/Option';
import { AccountBenefitWithIdDto, ManageBenefitCommandDto, ManageBenefitsPageStateDto } from './manage-benefits-api.dto';
export declare class ManageBenefitsApi {
  getPageStateAsync(): Promise<ManageBenefitsPageStateDto>;
  loadBenefitForEditingAsync(benefitId: string): Promise<AccountBenefitWithIdDto>;
  postCommandAsync(benefitId: O.Option<string>, commandDto: ManageBenefitCommandDto): Promise<void>;
}
declare const _default: ManageBenefitsApi;
export default _default;
